<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		david.cifuentes
@version 		1.0
@description 	Pantalla para realizar los ajustes de la información espacial de los predios asociados a un trámite.
@cu				CU-NP-CO-216 - Ajustar información espacial.

@modified by leidy.gonzalez ::23/01/2015:: #11152 :: Se adiciona evento ajax en false en el botón Enviar al editor geográfico		

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Ajustar información espacial::.</ui:define>
    <ui:define name="content">

        <h:panelGrid columns="1" width="100%">
            <tramite:tramiteResumen id="tabsgridI"
                                    tramiteParam="#{depuracion.tramiteSeleccionado}"
                                    muestraClasificacionParam="true" muestraFechaRadicacionParam="true"
                                    muestraFechaSolicitudParam="true" muestraDerechoPeticionParam="true"/>

            <h:panelGrid width="40%">
                <h:outputLabel value="Inconsistencias geográficas:"
                               styleClass="outputLabelStyle" />

                <p:dataTable id="inconsistenciasDT"
                             widgetVar="inconsistenciasDTWV"
                             value="#{depuracion.inconsistenciasTramite}" var="inconsistencia"
                             paginator="true" rows="5"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             emptyMessage="No se encontraron inconsistencias">
                    <f:facet name="header">
                        Inconsistencias geográficas
                    </f:facet>

                    <p:column headerText="Tipo">
                        <h:outputText id="PredioTipoV" value="#{inconsistencia.tipo}" />
                    </p:column>

                    <p:column headerText="Descripción">
                        <h:outputText value="#{inconsistencia.inconsistencia}" />
                    </p:column>

                    <p:column headerText="Número predial">
                        <h:outputText value="#{inconsistencia.numeroPredial}"
                                      styleClass="outputTextStyle" />
                    </p:column>

                </p:dataTable>

            </h:panelGrid>
        </h:panelGrid>

        <h:form id="ajusteInformacionEspacialForm">

            <p:spacer height="10" />

            <p:messages id="ajusteInformacionEspacialMsg" showDetail="false"
                        globalOnly="false" />

            <p:spacer width="10" />

            <p:fieldset>
                <legend>
                    <h:outputLabel value="Observaciones realizadas"
                                   styleClass="legendTitle" />

                    <h:panelGrid cellspacing="5" cellpadding="5" width="100%">

                        <p:dataTable
                            value="#{depuracion.ultimoTramiteDepuracion.tramiteDepuracionObservacions}"
                            id="observacionesTable" var="observacion"
                            emptyMessage="No existen observaciones realizadas"
                            paginator="true" rows="5"
                            paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                            paginatorPosition="bottom" rowsPerPageTemplate="5,10,15">

                            <p:column headerText="Revisión No.">
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{observacion.numeroRevision}">
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Aprueba control de calidad">
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{observacion.apruebaControlCalidad}">
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Observaciones">
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{observacion.observacion}">
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Fecha">
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{observacion.fecha}">
                                </h:outputText>
                            </p:column>
                        </p:dataTable>
                    </h:panelGrid>
                </legend>
            </p:fieldset>
            <p:spacer width="10" />

            <p:separator style="width:98%;height:3px" />

            <p:outputPanel layout="block" style="text-align:right">

                <p:commandButton value="Enviar al editor geográfico" title="Enviar al editor geográfico"    
                                 onclick="statusDialog2.show()"
                                 icon="ui-icon-image" update="ajusteInformacionEspacialMsg"
                                 rendered="#{!depuracion.avanzarProcesoDirecto}"
                                 oncomplete="handleCompleteSIC(xhr, status, args, confirmacionAsignaDigitalizadorWV, true);"
                                 action="#{depuracion.validarEnvioAlEditor}"
                                 />

                <p:commandButton value="Enviar al editor geográfico" process="@this"
                                 onclick="statusDialog2.show()"
                                 update="ajusteInformacionEspacialForm"
                                 action="#{depuracion.avanzarProceso}"
                                 rendered="#{depuracion.avanzarProcesoDirecto}"
                                 ajax = "false"
                                 title="Enviar al editor geográfico" icon="ui-icon-image" />

                <p:spacer width="10" />

                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                 action="#{depuracion.cerrar}" ajax="false" immediate="true" />

                <p:spacer width="10" />

            </p:outputPanel>
            <p:spacer width="10" />

        </h:form>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="../ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <p:dialog header="error" dynamic="true"
                  widgetVar="noDesktopWV" />

        <p:dialog header="Asignar digitalizador" dynamic="true"
                  widgetVar="confirmacionAsignaDigitalizadorWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="400">
            <h:form id="confirmacionAsignaDigitalizadorForm"> 
                <h:panelGrid columns="1" cellpadding="2">
                    <h:outputLabel
                        value="El trámite se enviará al Editor GIS ¿Requiere que la modificación geográfica del predio sea realizada por un digitalizador?" />
                    <p:separator style="width:98%;height:3px" />
                    <p:outputPanel layout="block" style="text-align:center">
                        <p:commandButton value="Si"
                                         update=":asignarDigitalizadorForm"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide(); asignarDigitalizadoresWV.show();"
                                         icon="ui-icon-check" immediate="true" />

                        <p:spacer width="10" />

                        <p:commandButton value="No"
                                         update=":ajusteInformacionEspacialForm"
                                         action="#{depuracion.avanzarProceso}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         icon="ui-icon-arrowthick-1-e" immediate="true" />
                        <p:spacer width="10" />
                    </p:outputPanel>
                </h:panelGrid>
            </h:form>
        </p:dialog>

        <p:dialog header="Seleccionar digitalizador" dynamic="true"
                  widgetVar="asignarDigitalizadoresWV" resizable="true"
                  showEffect="fade" maximizable="true" hideEffect="explode"
                  modal="true" width="600" appendToBody="true"
                  id="listaDigitalizadores">

            <h:form id="asignarDigitalizadorForm">
                <p:dataTable var="digitalizador"
                             selection="#{depuracion.digitalizadorSeleccionado}"
                             value="#{depuracion.digitalizadores}"
                             rowKey="#{digitalizador.funcionarioId}"
                             emptyMessage="No existen digitalizadores a asignar."
                             selectionMode="single" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom">

                    <p:column headerText="Nombre">
                        <h:outputText value="#{digitalizador.funcionario}" />
                    </p:column>

                    <p:column headerText="Número trámites conservación">
                        <h:outputText value="#{digitalizador.tramitesConservacion}" />
                    </p:column>

                    <p:column headerText="Número trámites depuración">
                        <h:outputText value="#{digitalizador.tramitesDepuracion}" />
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2" style="text-align:left">
                    <p:commandButton icon="ui-icon-arrowthick-1-e" value="Aceptar"
                                     title="Aceptar" process="@form"
                                     update=":ajusteInformacionEspacialForm"
                                     action="#{depuracion.avanzarProceso}"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();">
                    </p:commandButton>
                    <p:commandButton icon="ui-icon-close" value="Cancelar"
                                     title="Cancelar" onclick="asignarDigitalizadoresWV.hide();">
                    </p:commandButton>

                </h:panelGrid>
            </h:form>
        </p:dialog>

    </ui:define>
</ui:composition>